summaryrefslogtreecommitdiffstats
path: root/package
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2011-11-08 23:35:13 +0000
committerNicolas Thill <nico@openwrt.org>2011-11-08 23:35:13 +0000
commit62a2827ea72f027775b25c25168bba3f26b45039 (patch)
tree409992bd9780a2fcd5de67ed23963f98400c87d3 /package
parentf67f9ef9411bc89fd084dd6aadf45afe3cb713d5 (diff)
downloadmaster-31e0f0ae-62a2827ea72f027775b25c25168bba3f26b45039.tar.gz
master-31e0f0ae-62a2827ea72f027775b25c25168bba3f26b45039.tar.bz2
master-31e0f0ae-62a2827ea72f027775b25c25168bba3f26b45039.zip
package/base-files: /lib/functions.sh: let service_stop exit early if no matching process to stop where found
SVN-Revision: 28870
Diffstat (limited to 'package')
-rwxr-xr-xpackage/base-files/files/lib/functions.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/base-files/files/lib/functions.sh b/package/base-files/files/lib/functions.sh
index 389f8eb98d..43ce60ee15 100755
--- a/package/base-files/files/lib/functions.sh
+++ b/package/base-files/files/lib/functions.sh
@@ -351,7 +351,7 @@ service_start() {
service_stop() {
local try
- SERVICE_SIG="${SERVICE_SIG:-$SERVICE_SIG_STOP}" service -K "$@"
+ SERVICE_SIG="${SERVICE_SIG:-$SERVICE_SIG_STOP}" service -K "$@" || return 1
while [ $((try++)) -lt $SERVICE_STOP_TIME ]; do
service -C "$@" || return 0
sleep 1